<?
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
if (isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
	
if(!isset($user['id'])) exit('<div id="error" class="message" style="text-align:center;">Вам стоит авторизоваться</div>');
if(isset($_POST['id'])){
$id = abs(intval($_POST['id']));
$pl = $db->prepare('SELECT * FROM `platform` WHERE `id` = ?');
$pl -> execute([$id]);
$pl = $pl -> fetch(PDO :: FETCH_ASSOC);

if(!isset($pl['id']) || $pl['user'] != $user['id']){
echo '<div id="error" class="message" style="text-align:center;">Неизвестная ошибка при выводе средств!/div>';
}elseif($pl['money'] == 0){
echo '<div id="error" class="message" style="text-align:center;">Нет средств на площадке/div>';
}elseif($_POST['money'] < 1){
echo '<div id="error" class="message" style="text-align:center;">Неизвестная ошибка при выводе средств!/div>';
}elseif($pl['money'] < abs($_POST['money'])){
echo '<div id="error" class="message" style="text-align:center;">Нет столько средств на площадке/div>';
}else{
$money = $db->prepare('UPDATE `users` SET `money` = ? WHERE `id` = ?');
$money -> execute([$user['money']+abs($_POST['money']),$user['id']]);
money_log($user['id'],abs($_POST['money']),'Вывод с площадки № '.$pl['id']);
$drop = $db->prepare('UPDATE `platform` SET `money` = `money` - ? WHERE `id` = ?');
$drop -> execute([abs($_POST['money']),$pl['id']]);
echo '
<meta http-equiv="refresh" content="3; url=/platform/my.aspx">
<div id="success" class="message" style="text-align:center;">'.abs($_POST['money']).' руб. успешно выведены на ваш внутренний счет</div>';
}
}else{
echo '<div id="error" class="message" style="text-align:center;">Вы попытались изменить запрос</div>';
}
}else{
echo '<div id="error" class="message" style="text-align:center;">Вы попытались изменить запрос</div>';
}
?>
